OGRE: Ogre::DeflectorPlaneAffector Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::DeflectorPlaneAffector Class Reference
Plugins » ParticleFX

This affector defines a plane which deflects particles which collide with it. More...

`#include <OgreDeflectorPlaneAffector.h>`

Inheritance diagram for Ogre::DeflectorPlaneAffector:
[legend]

## Classes
class | CmdBounce
| Command object for bounce (see ParamCommand). More...
class | CmdPlaneNormal
| Command object for plane normal (see ParamCommand). More...
class | CmdPlanePoint
| Command object for plane point (see ParamCommand). More...

## Public Member Functions
| DeflectorPlaneAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| Method called to allow the affector to 'do it's stuff' on all active particles in the system.
Real | getBounce (void) const
| Gets the bounce value of the deflection.
Vector3 | getPlaneNormal (void) const
| Gets the plane normal of the deflector plane.
Vector3 | getPlanePoint (void) const
| Gets the plane point of the deflector plane.
void | setBounce (Real bounce)
| Sets the bounce value of the deflection.
void | setPlaneNormal (const Vector3 &normal)
| Sets the plane normal of the deflector plane.
void | setPlanePoint (const Vector3 &pos)
| Sets the plane point of the deflector plane.
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
virtual void | _initParticle (Particle *pParticle)
| Method called to allow the affector to initialize all newly created particles in the system.
const String & | getType (void) const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary (void)
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary (void) const
String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.
bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes
static CmdBounce | msBounceCmd
static CmdPlaneNormal | msPlaneNormalCmd
static CmdPlanePoint | msPlanePointCmd
| Command objects.

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Detailed Description

This affector defines a plane which deflects particles which collide with it.

## Constructor & Destructor Documentation

## ◆ DeflectorPlaneAffector()

Ogre::DeflectorPlaneAffector::DeflectorPlaneAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## ◆ _affectParticles()

void Ogre::DeflectorPlaneAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )
| overridevirtual

Method called to allow the affector to 'do it's stuff' on all active particles in the system.

This is where the affector gets the chance to apply it's effects to the particles of a system. The affector is expected to apply it's effect to some or all of the particles in the system passed to it, depending on the affector's approach.

Parameters

  pSystem | Pointer to a ParticleSystem to affect.
  timeElapsed | The number of seconds which have elapsed since the last call.

Implements Ogre::ParticleAffector.

## ◆ setPlanePoint()

void Ogre::DeflectorPlaneAffector::setPlanePoint | ( | const Vector3 & | pos | ) |

Sets the plane point of the deflector plane.

## ◆ getPlanePoint()

Vector3 Ogre::DeflectorPlaneAffector::getPlanePoint | ( | void |  | ) | const

Gets the plane point of the deflector plane.

## ◆ setPlaneNormal()

void Ogre::DeflectorPlaneAffector::setPlaneNormal | ( | const Vector3 & | normal | ) |

Sets the plane normal of the deflector plane.

## ◆ getPlaneNormal()

Vector3 Ogre::DeflectorPlaneAffector::getPlaneNormal | ( | void |  | ) | const

Gets the plane normal of the deflector plane.

## ◆ setBounce()

void Ogre::DeflectorPlaneAffector::setBounce | ( | Real | bounce | ) |

Sets the bounce value of the deflection.

## ◆ getBounce()

Real Ogre::DeflectorPlaneAffector::getBounce | ( | void |  | ) | const

Gets the bounce value of the deflection.

## Member Data Documentation

## ◆ msPlanePointCmd

CmdPlanePoint Ogre::DeflectorPlaneAffector::msPlanePointCmd
| static

Command objects.

## ◆ msPlaneNormalCmd

CmdPlaneNormal Ogre::DeflectorPlaneAffector::msPlaneNormalCmd
| static

## ◆ msBounceCmd

CmdBounce Ogre::DeflectorPlaneAffector::msBounceCmd
| static

The documentation for this class was generated from the following file:

- OgreDeflectorPlaneAffector.h